%define version 1.2.1
%define deb_release 6.4

Summary:   Flexible backup script
Name:      flexbackup
Version:   %{version}
Release:   %{deb_release}.2%{?dist}
Epoch:     0
License:   GPL
Group:     Applications/Archiving
URL:       http://www.edwinh.org/flexbackup/
Source0:   flexbackup-%{version}-%{deb_release}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
Requires:  gzip
Requires:  fileutils
Requires:  findutils

#---------------------------------------------------------------------
%description
A flexible backup tool

Features:
   o Easy to configure
   o Uses dump, afio, GNU tar, cpio, star, pax, or zip archivers
   o Full and numbered levels of incremental backup (acts like "dump")
   o Compression and buffering options for all backup types
   o Does remote filesystems (over rsh/ssh; no special service)
   o Can backup only files not owned by rpm, or changed from rpm version
   o Writes to tapes, on-disk archive files, or on-disk directory trees
   o Keeps a table of contents so you know archives are on each tape
   o Nice log files

(debian version : https://packages.debian.org/buster/flexbackup)

#---------------------------------------------------------------------
%prep
%setup -q -n flexbackup-%{version}-%{deb_release}

%install
/bin/rm -rf $RPM_BUILD_ROOT
(/usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)

%clean
/bin/rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/etc/flexbackup.conf
/usr/bin/flexbackup
/usr/share/*
%dir /var/lib/flexbackup
%dir /var/log/flexbackup

#---------------------------------------------------------------------
%changelog
* Fri Jul 14 2023 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Sat May 15 2021 Michel Begue <mab974@gmail.com> 1.2.1-6.4.2.sme
- fix package version and release 1.2.1-6.4

* Sun Mar 28 2021 Michel Begue <mab974@gmail.com> 1.2.1.64-1.sme
- new source from debian packages repos 1.2.1-6.4
- convert initial release
- remove /usr/share/lintian directory
- add convert script to doc directory
- add debian changelog to doc directory

* Sun Apr 29 2007 Shad L. Lords <slords@mail.com>
- Clean up spec so package can be built by koji/plague

* Thu Dec 07 2006 Shad L. Lords <slords@mail.com>
- Update to new release naming.  No functional changes.
- Make Packager generic

* Tue Sep 23 2003 Edwin Huffstutler <edwinh@computer.org>
- cleanup spec a bit

* Tue Jul 29 2003 Edwin Huffstutler <edwinh@hercules.my-net>
- add manpages, tweak a bit

* Thu Jul  3 2003 Edwin Huffstutler <edwinh@hercules.my-net>
- update description

* Tue Feb 18 2003 Edwin Huffstutler <edwinh@hercules.my-net>
- config file is noreplace

* Wed Jan 15 2003 Edwin Huffstutler <edwinh+flexbackup@edwinh.org>
- defattr in right spot

* Sun Jan 12 2003 Edwin Huffstutler <edwinh+flexbackup@edwinh.org>
- updated

* Sat Sep 25 1999 Edwin Huffstutler <edwinh+flexbackup@edwinh.org>
- add more requires, update description, email address.
- really goes in /usr/bin since it needs perl anyway --
  if you only have your root fs, run restore or tar by hand :)

* Sat Sep 18 1999 Edwin Huffstutler <edwinh+flexbackup@edwinh.org>
- initial rpm package
